Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 817232 - [RFE] support offline blockresize
Summary: [RFE] support offline blockresize
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Ferlan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-28 07:00 UTC by Alex Jia
Modified: 2016-04-27 02:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-23 21:51:20 UTC


Attachments (Terms of Use)

Description Alex Jia 2012-04-28 07:00:01 UTC
Description of problem:
At present, we can only do offline block resizing via another a virsh command/API(vol-resize) not blockresize. if we can reuse vol-resize underlying codes/implementation the provides a unifying user view/interface, it will be great.

Version-Release number of selected component (if applicable):
# rpm -q libvirt qemu-kvm-rhev
libvirt-0.9.10-14.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.285.el6.x86_64


How reproducible:
always.

Steps to Reproduce:
# virsh blockresize test /var/lib/libvirt/images/test 10M
error: Failed to resize block device '/var/lib/libvirt/images/test'
error: Requested operation is not valid: domain is not running
  
Actual results:
"error: Requested operation is not valid: domain is not running"

Expected results:
Support offline blockresize.

Additional info:
Eric has help me confirm the issue.

Comment 3 Cole Robinson 2016-03-23 21:51:20 UTC
We have volresize, that's enough for apps to handle this


Note You need to log in before you can comment on or make changes to this bug.